import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/HomeView.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home
  },
  {
    path: '/tableData',
    name: 'tableData',
    component: () => import(/* webpackChunkName: "about" */ '../views/tableData.vue')
  }, {
    path: '/detail',
    name: 'detail',
    component: () => import(/* webpackChunkName: "about" */ '../views/detail.vue')
  },
]

const router = new VueRouter({
  routes
})

export default router
