
// const BASE_URL = process.env.NODE_ENV === 'production' ? './' : './';
module.exports = {
    publicPath: './',
    css: {
        extract: {
            ignoreOrder: true,
        },
    },
    devServer: {
        port: 8888,
        proxy: {
            '/api': {
                target: 'https://windata.platomix.net/api',
                ws: true,
                pathRewrite: {
                    '^/api': '/',
                },
                timeout: 10000000,
            },
            '/es-api': {
                target: 'https://windata.platomix.net',
                ws: true,
                pathRewrite: {
                    '^/es-api': '/es-api',
                },
                timeout: 10000000,
            },
        }

    },
    chainWebpack: config => {
        config.plugin('html').tap(args => {
          args[0].title = '超级审搜';
          return args;
        });
      }
    // 选项
}