import request from './request'

// 获取分类列表
export const categoryList = () => {
  return request({
    url: '/api/system/template/cate/list',
    method: 'get',
  })
}

//获取分类数量
export const getCategoryCount = (data) => {
  return request({
    url: '/es-api/docs/v3/searchCount',
    method: 'post',
    data
  })
}


// // 获取菜单列表
// export const menuList = () => {
//   return request({
//     url: '/category/dataCategory',
//     method: 'get',
//   })
// }

// 获取文章列表
export const getArticleList = (data) => {
  return request({
    url: '/es-api/docs/v3/searchAll',
    method: 'post',
    data
  })
}


//获取二级文章列表
export const getArticleList2 = (data) => {
  return request({
    url: '/es-api/docs/v3/search',
    method: 'post',
    data
  })
}

// //获取相关文件列表
// export const getRelationFile = (data) => {
//   return request({
//     url: '/docs/v3/searchByCommonId',
//     method: 'post',
//     data
//   })
// }